* {
    margin: 0;
    padding: 0;
}

body {
    background-color: #000000;
    background-size: cover;
    margin-top: 20px;
    margin-bottom: 20px;
}

h1 {
    text-align: center;
}

.container {
    background: #FFF;
    border-radius: 12px;
    padding: 20px;
    min-height: 600px;
}

@media (min-width: 1200px) {
    .wide {
        width: 99% !important;
    }
}

.head-buttons {
    margin: 10px 0 10px 0;
    width: 100%;
}

.required label {
    color: #ea2318;
}

.required label:after {
    content: "*";
}

.member-picture {
    max-height: 300px;
}

.logo {
    max-height: 160px;
    max-width: 240px;
}

.logo-public {
    max-height: 200px;
    max-width: 100%;
}

.visits-counts {
    float: left;
    padding: 15px;
}

a:hover {
    text-decoration: none;
}

.mt-md {
    margin-top: 8px;
}

.mt-lg {
    margin-top: 16px;
}

.label {
    font-size: 100%;
}

#daily-chart-gender,
#daily-chart-total,
#active-members-chart,
#interval-visits-chart {
    height: 300px;
    overflow: hidden;
}

footer {
    text-align: right;
}

#init-cam {
    position: absolute;
    top: 220px;
    left: 96px;
}

#photo {
    width: 330px;
    height: 330px;
}

#camera {
    width: 300px;
    height: 300px;
    text-align: center;
    overflow: hidden;
    margin: 16px 15px 30px 15px;
}

#camera video {
    width: 400px;
    height: 300px;
    margin-left: -64px;
}


#cam-cancel {
    position: absolute;
    top: 220px;
    left: 66px;
}

#cam-snap {
    position: absolute;
    top: 220px;
    left: 190px;
}

.tab-content {
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    padding: 20px;
}

.tab-content h4 {
    border-left: 5px solid #dddddd;
    padding-left: 5px;
}

.separator {
    border-bottom: 1px solid #dddddd;
    margin: 10px -20px;
}

.nav-tabs {
    margin-bottom: 0;
}

form.email textarea {
    min-height: 200px;
}

.email-preview {
    border: none;
    width: 100%;
    height: 500px;
}

.conditions-preview,
.gdpr-preview,
.loyaltyProgram-preview,
.contact-preview {
    border: 1px solid #dddddd;
    width: 100%;
    height: 500px;
}

.color-slider {
    background-color: #d9534f !important;
    color: white !important;
}

.color-slider.on {
    background-color: #5cb85c !important;
    color: white !important;
}

.inline {
    display: inline-block;
}

table.calendar div.event {
    font-size: x-small !important;
}

table.calendar div.event a {
    font-size: larger !important;
}

.employee-slider {
    height: 220px;
    overflow-x: scroll;
    margin-bottom: 40px;
}

.employee-holder {
    display: block;
}

.employee-thumb {
    display: inline-block;
    width: 160px;
    padding: 10px;
    text-align: center;
    flex: 0 0 auto;
}

.employee-thumb img {
    width: 140px;
    height: 140px;
    margin-bottom: 5px;
}

.employee-thumb strong {
    display: block;
}

.bg-custom-adjust {
    background-color: #BBDEAD;
}

div.keyboard-fix {
    margin: 0 0 0 20px;
    padding: 0;
    width: 37.666666%;
}

div.fc-keyboard-fix {
    margin: 0;
    padding: 0;
}

table.keyboard td,
table.fc-keyboard td {
    padding: 2px;
}

table.keyboard td div {
    width: 64px;
}

table.fc-keyboard td a {
    width: 100%;
}

table.keyboard td div.full-height {
    margin-top: 20px;
    height: 100%;
}

div.control-wrapper {}

div.display {
    color: #44ff88;
    background-color: #000000;
    font-size: 20px;
    font-weight: bold;
    text-align: right;
    padding: 4px;
}

div.display-name,
div.display-amount,
div.display-unit-price,
div.display-unit-vat,
div.display-item-price,
div.display-total-price,
div.display-price-levels {
    border: #5cb85c solid thin;
    border-radius: 8px;
}

div.display-name .value {
    margin-left: 10px;
    text-align: left;
}

div.display-input {}

div.display input {
    margin: 10px 10px 10px 10px;
    color: #44ff88;
    background-color: #000000;
    font-size: 20px;
    font-weight: bold;
    border: none;
    width: 80%;
    text-align: right;
}

div.display-label {
    display: block;
    clear: both;
    float: left;
    text-align: left;
    font-size: 10px;
    margin: 0px 10px 10px 10px;
}

div.value {
    text-align: right;
    display: block;
    clear: both;
    margin: 4px 6px 8px 4px;
}

table.cart td {
    text-align: right;
    vertical-align: middle !important;
}

table.cart tr.actual {
    color: #ffffff;
    background-color: #286090;
}

.modal {
    overflow: scroll;
}

.deadline .amount {
    text-align: right;
}

.no-wrap {
    white-space: nowrap;
}

.speed-dial-matrix-editor .icon-addon {
    white-space: nowrap;
    overflow: hidden;
    height: 32px !important;
}

.speed-dial-matrix-editor .input-group-addon {
    height: 10px !important;
}

.speed-dial-matrix-viewer .row {
    margin-bottom: 10px;
}

.speed-dial-matrix-editor .row {
    margin-bottom: 5px;
}

.speed-dial-matrix-viewer .icon-addon {
    white-space: nowrap;
    overflow: hidden;
    height: 40px !important;
}

.speed-dial-matrix-editor .icon-addon a,
.speed-dial-matrix-editor .icon-addon span,
.speed-dial-matrix-viewer .icon-addon a {
    height: 100%;
    font-size: 12px !important;
}

.speed-dial-matrix-viewer .icon-addon a {
    padding-top: 11px;
}

.speed-dial-matrix-viewer .input-group-addon {
    height: 40px;
}

@media print {

    .no-print,
    .no-print * {
        display: none !important;
    }
}

.receiptsetting-preview {
    border: 1px solid #dddddd;
    width: 30%;
    min-height: 250px;
}

.cancelled,
.cancelled_by_trainer {
    text-decoration: line-through;
}

.cashdesk-disabled,
.register-disabled,
.reservations-disabled,
.permissions-disabled,
.loan-disabled {
    color: silver !important;
}

.btn.disabled {
    pointer-events: unset !important;
}

.disabled:hover {
    cursor: not-allowed !important;
}

div:not(.ui-datepicker) .ui-state-active {
    color: #007fff !important;
    font-weight: bold !important;
}

/*.ui-datepicker {
   Protože floatThead má 1001 :) 
  z-index: 1002 !important;
}*/

.lb-sm {
    font-size: 12px;
}

.lb-md {
    font-size: 16px;
}

.lb-lg {
    font-size: 20px;
}

td.permission-active {
    font-weight: 900;
    background-color: rgb(183, 225, 205);
}

.amount-control-alert {
    position: fixed;
    bottom: 20px;
    opacity: 0.8;
    font-weight: 600;
}

.currentDay {
    background-color: seagreen !important;
}

td.small-round-avatar img {
    border-radius: 50%;
    width: 100%;
    height: auto;
}

.small-round-avatar {
    width: 50px;
}

.timeout-visit-row {
    background-color: #a4a4a4 !important;
    color: #ffffff;
}

.timeout-visit-row a {
    color: #ffffff;
}

.not-active {
    background-color: #d9534f;
    color: #ffffff;
}

.select2-container--default .select2-selection--single {
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    height: 34px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: inherit;
}

.label-white {
    background-color: #ffffff;
    color: #333333;
    border: 1px solid #dddddd;
}

.glyphicon.normal-right-spinner {
    -webkit-animation: glyphicon-spin-r 2s infinite linear;
    animation: glyphicon-spin-r 2s infinite linear;
}

@-webkit-keyframes glyphicon-spin-r {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@keyframes glyphicon-spin-r {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

.tagsinput input {
    width: 210px !important;
}

option:disabled {
    color: #ddd;
}

.loading-iframe {
    background: url(../../img/app/loading.gif) center center no-repeat;
}


.table-striped>tbody>tr.bg-warning:nth-of-type(odd) {
    background-color: #fcf8e3;
}

#optionDisable {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    background: rgba(0, 0, 0, 0.8);
    z-index: 10;
    display: none;
}

#optionDisable img {
    transform: translate(-50%, -50%);
    position: absolute;
    left: 50%;
    top: 50%;
    background: white;
    border-radius: 50%;
}

.success {
    color: #5cb85c;
}

.procedure-tables-holder {
    position: relative;
}

.procedure-tables-holder small.label {
    font-size: 75%;
}

.table-procedures-availability {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.table-procedures-availability thead {
    opacity: 0;
}

.table-procedures-availability thead th {
    padding: 8px;
    line-height: 1.42857143;
    border: 1px solid transparent;
    border-bottom-width: 2px;
}

.table-procedures-availability th {
    background: white;
    position: relative;
}

.table-procedures-availability td {
    position: relative;
    background: #bebebe;
    color: #aaa;
}

.table-procedures-availability .available,
.table-procedures-availability .excluded {
    background: white;
    width: 100%;
    position: absolute;
}

.table-procedures-availability .excluded {
    background: #bebebe;
}

.table-procedures-availability .procedure-start {
    height: 2px;
    width: 100%;
    background: #5fb760;
    position: absolute;
    z-index: 1;
}

.table-procedures {
    position: relative;
}

.table-procedures thead th {
    position: relative;
    z-index: 3;
    background: white;
}

.table-procedures tbody td {
    position: relative;
    border: 1px solid #f7f7f7 !important;
}

.table-procedures tbody td[data-reserve-url]:hover {
    background: rgba(88 174 239 / 9%);
    cursor: pointer;
}

.table-procedures tbody th.time {
    height: 50px;
}

.table-procedures tbody th.start {
    color: #5fb760;
}

.table-procedures .procedure-box {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    z-index: 1;
    min-width: 100%;
    max-width: 100%;
}

.table-procedures .procedure-box:hover {
    z-index: 2;
    min-width: 170px;
}

.table-procedures .procedure-box .procedure-content {
    position: relative;
    background: #d75552;
    border: 1px solid transparent;
    padding: 10px;
    overflow: hidden;
    min-height: 100%;
    max-height: 100%;
    color: white;
    transition: all 0.5s;
}

.table-procedures .procedure-box .procedure-content img.user {
    opacity: 0.75;
    margin-top: -2px;
    margin-left: 4px;
}

.table-procedures .procedure-box.procedure-paid .procedure-content {
    background: #5fb760;
}

.table-procedures .procedure-box .procedure-content a {
    color: rgba(255, 255, 255, 0.75);
}

.table-procedures .procedure-box .procedure-content .add-note {
    color: #fff;
    text-decoration: underline;
}

.table-procedures .procedure-box .procedure-content .more-info {
    display: none;
    border-top: 1px solid rgba(255, 255, 255, 0.25);
    padding-top: 7px;
    margin-top: 7px;
}

.table-procedures .procedure-box .procedure-content:hover {
    max-height: 600px;
    z-index: 3;
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.25);
}

.table-procedures .procedure-box.procedure-paid .procedure-content:hover {}

.table-procedures .procedure-box .procedure-content:hover .more-info {
    display: block;
}

.table-procedures .procedure-box .procedure-content .procedure-buttons .btn {
    border: none;
    border-radius: 0;
}

.table-procedures .procedure-box .procedure-content .procedure-buttons .btn img {
    margin-top: -3px;
}

.table-procedures .procedure-box .procedure-content .procedure-buttons .btn-success {
    background: #5fb760;
    padding: 8px;
    margin-top: 8px;
}

.table-procedures .procedure-box .procedure-content .procedure-buttons .btn-primary {
    margin-top: 8px;
    background: #fff;
    color: #000;
    width: calc(50% - 4px);
    float: left;
}

.table-procedures .procedure-box .procedure-content .procedure-buttons .btn-danger {
    margin-top: 8px;
    background: #ba3e3b;
    width: calc(50% - 4px);
    float: right;
}

.table-procedures .procedure-box .buffer-before,
.table-procedures .procedure-box .buffer-after {
    position: absolute;
    width: 100%;
    background: #ccc;
    background:
        repeating-linear-gradient(45deg,
            transparent,
            transparent 10px,
            #ccc 10px,
            #ccc 20px);
    z-index: 2;
}

.floatThead-container {
    z-index: 4 !important;
}

.cursor-pointer {
    cursor: pointer;
}

.radio-toolbar input[type="radio"] {
    opacity: 0;
    position: fixed;
    width: 0;
}

.radio-toolbar label {
    display: inline-block;
    background-color: #ddd;
    padding: 10px 20px;
    font-family: sans-serif, Arial;
    font-size: 16px;
    border: 2px solid #444;
    border-radius: 4px;
}

.radio-toolbar input[type="radio"]:checked+label {
    background-color: #bfb;
    border-color: #4c4;
}

.radio-toolbar input[type="radio"]:focus+label {
    border: 2px dashed #444;
}

.radio-toolbar label:hover {
    background-color: #dfd;
}

label:not([class]):has(:where(input[type=checkbox], input[type=radio]):not([class])) {
    display: inline-flex;
    align-items: center;
    gap: 4px;

    :where(input[type=checkbox], input[type=radio]):not([class]) {
        margin-top: 0;
    }
}

.day__wrap {
    clear: both;
    margin-inline: auto;

    @media (min-width: 992px) {
        max-width: 67%;
    }

    @media (min-width: 1200px) {
        max-width: 49%;
    }
}

/*
 * Responsive text aligning
 * http://ohryan.ca/2014/08/14/set-responsive-text-alignment-bootstrap-3/
 */
.text-xs-left {
    text-align: left;
}

.text-xs-right {
    text-align: right;
}

.text-xs-center {
    text-align: center;
}

.text-xs-justify {
    text-align: justify;
}

@media (min-width: 768px) {
    .text-sm-left {
        text-align: left;
    }

    .text-sm-right {
        text-align: right;
    }

    .text-sm-center {
        text-align: center;
    }

    .text-sm-justify {
        text-align: justify;
    }
}

@media (min-width: 992px) {
    .text-md-left {
        text-align: left;
    }

    .text-md-right {
        text-align: right;
    }

    .text-md-center {
        text-align: center;
    }

    .text-md-justify {
        text-align: justify;
    }
}

@media (min-width: 1200px) {
    .text-lg-left {
        text-align: left;
    }

    .text-lg-right {
        text-align: right;
    }

    .text-lg-center {
        text-align: center;
    }

    .text-lg-justify {
        text-align: justify;
    }
}